<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.TCompanyInfoMapper">

  <resultMap id="tCompanyInfoMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.TCompanyInfo">
    <id property="id" column="id"/>
    <result property="companyName" column="COMPANY_NAME"/>
    <result property="companyAddress" column="COMPANY_ADDRESS"/>
    <result property="companyTel" column="COMPANY_TEL"/>
    <result property="createBy" column="CREATE_BY"/>
    <result property="createName" column="CREATE_NAME"/>
    <result property="createTime" column="CREATE_TIME"/>
    <result property="updateBy" column="UPDATE_BY"/>
    <result property="updateTime" column="UPDATE_TIME"/>
    <result property="deleteFlag" column="DELETE_FLAG"/>
  </resultMap>
    <sql id="Base_Column_List">
                a.id,
                a.COMPANY_NAME,
                a.COMPANY_ADDRESS,
                a.COMPANY_TEL,
                a.CREATE_BY,
                a.CREATE_NAME,
                a.CREATE_TIME,
                a.UPDATE_BY,
                a.UPDATE_TIME,
                a.DELETE_FLAG
    </sql>
    <sql id="tCompanyInfo_where">
        <if test="tCompanyInfo != null">
                    <if test="tCompanyInfo.id != null and tCompanyInfo.id.trim() != ''">
                        AND a.id = #{tCompanyInfo.id}
                    </if>
                    <if test="tCompanyInfo.companyName != null and tCompanyInfo.companyName.trim() != ''">
                        AND a.COMPANY_NAME like CONCAT('%',#{tCompanyInfo.companyName},'%')
                    </if>
                    <if test="tCompanyInfo.companyAddress != null and tCompanyInfo.companyAddress.trim() != ''">
                        AND a.COMPANY_ADDRESS = #{tCompanyInfo.companyAddress}
                    </if>
                    <if test="tCompanyInfo.companyTel != null and tCompanyInfo.companyTel.trim() != ''">
                        AND a.COMPANY_TEL = #{tCompanyInfo.companyTel}
                    </if>
                    <if test="tCompanyInfo.createBy != null and tCompanyInfo.createBy.trim() != ''">
                        AND a.CREATE_BY = #{tCompanyInfo.createBy}
                    </if>
                    <if test="tCompanyInfo.createName != null and tCompanyInfo.createName.trim() != ''">
                        AND a.CREATE_NAME = #{tCompanyInfo.createName}
                    </if>
                    <if test="tCompanyInfo.createTime != null">
                        AND a.CREATE_TIME = #{tCompanyInfo.createTime}
                    </if>
                    <if test="tCompanyInfo.updateBy != null and tCompanyInfo.updateBy.trim() != ''">
                        AND a.UPDATE_BY = #{tCompanyInfo.updateBy}
                    </if>
                    <if test="tCompanyInfo.updateTime != null">
                        AND a.UPDATE_TIME = #{tCompanyInfo.updateTime}
                    </if>
                    <if test="tCompanyInfo.deleteFlag != null and tCompanyInfo.deleteFlag.trim() != ''">
                        AND a.DELETE_FLAG = #{tCompanyInfo.deleteFlag}
                    </if>
        </if>
    </sql>
    <!--tCompanyInfo简单分页查询-->
    <select id="getTCompanyInfoPage" resultMap="tCompanyInfoMap">
        SELECT
        <include refid="Base_Column_List"/>
        FROM t_company_info a
        <where>
            1=1
            <include refid="tCompanyInfo_where"/>
			order by  a.UPDATE_TIME  desc
        </where>
    </select>
</mapper>
